package com.ekexiu.project.platform.info;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Put;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.exception.JfwBaseException;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/11/22.
 */
@Path("/platform")
public class PlatformService {

    @Autowrie
    private PlatformDao platformDao;

    public PlatformDao getPlatformDao() {
        return platformDao;
    }

    public void setPlatformDao(PlatformDao platformDao) {
        this.platformDao = platformDao;
    }

    @Path("/update")
    @Put
    public int update(@JdbcConn(true) Connection con, Platform platform) throws SQLException {
        return platformDao.update(con, platform);
    }

    @Path("/get")
    @Get
    public Platform query(@JdbcConn Connection con)throws SQLException, JfwBaseException {
        return platformDao.query(con);
    }

}
